# Code Lists Test Sample Overview

Codelist tests are consolidated in `eforms_{PIN,CN,CAN}_${SUBTYPE}_{min,max}_DE_valid_codelists.xml`

The table bellow gives an overview where to find tests.


| BT /code list name                       | PIN             | CN  | CAN            |
|------------------------------------------|-----------------|-----|----------------|
| 740 / buyer-contracting-type             | E2              | E3  | has own E4     |
| 11 / buyer-legal-type                    | E2              | E3  | 29             |
| 67 /exclusion-ground                     | needs other pin | E3  | -              |
| 165 / economic-operator-size             | -               | -   | 29             |
| 771 / missing-info-submission            | needs 7 up      | E3  | -              |
| 105 / procurement-procedure-type         | needs 7 up      | E3  | 29             |
| 805 /gpp-criteria                        | has own 7       | E3  | 29             |
| 760 / received-submission-type           | -               | -   | 29             |
| 775 / social-objective                   | needs 7 up      | E3  | 29             |
| 723 / vehicle-category                   |                 |     | 29             |
| 01 / legal-basis                         | E2              | E3  | 29, has own E4 |
 | 682 / foreign-subsidy-measure-conclusion |                 |     | 24             |


